var siteinfo = require('../siteinfo.js'); //require这个js模块  
const utils = {
	
	
	 removal(arr) {
	        var newArr=[];
	          arr.forEach(item => {
	          var dataItem = item;
	            if(newArr.length>0) {
	                var filterValue = newArr.filter(v => {
	                  return v.goods_id == dataItem.goods_id
	                })
	                if(filterValue.length>0){
	                    newArr.forEach(n => {
	                      if( n.goods_id == filterValue[0].goods_id){
	                          n.num = filterValue[0].num + dataItem.num
	                      } 
	                    })
	                }else{
	                    newArr.push(dataItem)
	                }
	            }else{
	                newArr.push(dataItem)
	            }
	        })
	        return newArr
	},
	
    getImgSrc: function(src) {
        src = src.replace(/\/\//g, '/')
        src = src.replace(/\\/g, '/')
        return src = siteinfo.siteroot + '/' + src
    },
    //时间格式化
    formatTime: function(date, fmt) {
        let ret;
        const opt = {
            "Y+": date.getFullYear().toString(), // 年
            "m+": (date.getMonth() + 1).toString(), // 月
            "d+": date.getDate().toString(), // 日
            "H+": date.getHours().toString(), // 时
            "M+": date.getMinutes().toString(), // 分
            "S+": date.getSeconds().toString() // 秒
            // 有其他格式化字符需求可以继续添加，必须转化成字符串
        };
        for (let k in opt) {
            ret = new RegExp("(" + k + ")").exec(fmt);
            if (ret) {
                fmt = fmt.replace(ret[1], (ret[1].length == 1) ? (opt[k]) : (opt[k].padStart(ret[1].length,
                    "0")))
            };
        };
        return fmt;
    }
}
export default utils
